> ## Documentation Index
> Fetch the complete documentation index at: https://docs.openapi.pluuug.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 의뢰 이메일 회신 히스토리 목록 조회

> 의뢰에 대해 수신된 답장 이메일 이력을 조회합니다. 발신자(from), 수신자(to), 참조(cc), 읽지 않음 여부(is_unread) 정보를 포함합니다.



## OpenAPI

````yaml GET /v1/inquiry/{inquiry_id}/email_reply_history
openapi: 3.1.0
info:
  title: pluuug openapi
  version: 1.0.0
  description: >-
    플러그에서 제공하는 REST API의 상세 내용을 확인하고 직접 테스트할 수 있는 인터페이스입니다.<br>이 문서를 통해 API의
    엔드포인트, 요청 및 응답 형식 등을 확인할 수 있습니다.
servers:
  - url: https://openapi.pluuug.com
security: []
paths:
  /v1/inquiry/{inquiry_id}/email_reply_history:
    get:
      tags:
        - inquiry
      summary: 의뢰 이메일 수신 이력 목록
      description: >-
        의뢰에 대해 수신된 답장 이메일 이력을 조회합니다. 발신자(from), 수신자(to), 참조(cc), 읽지 않음
        여부(is_unread) 정보를 포함합니다.
      operationId: inquiry_email_reply_history_list
      parameters:
        - name: cursor
          required: false
          in: query
          description: Pagination을 위한 커서
          schema:
            type: string
        - in: path
          name: inquiry_id
          schema:
            type: integer
          required: true
        - name: page_size
          required: false
          in: query
          description: 한번에 조회할 데이터의 개수 (limit)
          schema:
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/PaginatedOpenapiInquiryEmailReplyHistoryList
          description: ''
      security:
        - ApiKeyAuth: []
          Signature: []
components:
  schemas:
    PaginatedOpenapiInquiryEmailReplyHistoryList:
      type: object
      required:
        - results
      properties:
        next:
          type:
            - string
            - 'null'
          format: uri
          example: http://api.example.org/accounts/?cursor=cD00ODY%3D"
        previous:
          type:
            - string
            - 'null'
          format: uri
          example: http://api.example.org/accounts/?cursor=cj0xJnA9NDg3
        results:
          type: array
          items:
            $ref: '#/components/schemas/OpenapiInquiryEmailReplyHistory'
    OpenapiInquiryEmailReplyHistory:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        title:
          type: string
          readOnly: true
          description: 제목
        fromEmail:
          type: string
          format: email
          readOnly: true
          description: 발신 이메일
        toSet:
          type: array
          items:
            $ref: '#/components/schemas/OpenapiNestedEmailTo'
          readOnly: true
          description: 수신자
        ccSet:
          type: array
          items:
            $ref: '#/components/schemas/OpenapiNestedEmailCc'
          readOnly: true
          description: 참조
        isUnread:
          type: boolean
          readOnly: true
          description: 읽지 않음 여부
        receivedAt:
          type: string
          format: date-time
          readOnly: true
          description: 수신 시간
        created:
          type: string
          format: date-time
          readOnly: true
          description: 생성일시
      required:
        - ccSet
        - created
        - fromEmail
        - id
        - isUnread
        - receivedAt
        - title
        - toSet
    OpenapiNestedEmailTo:
      type: object
      properties:
        toEmail:
          type: string
          format: email
          readOnly: true
          description: 수신 이메일
      required:
        - toEmail
    OpenapiNestedEmailCc:
      type: object
      properties:
        ccEmail:
          type: string
          format: email
          readOnly: true
          description: 참조 이메일
      required:
        - ccEmail
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
    Signature:
      type: apiKey
      in: header
      name: X-Signature
      description: |-
        HMAC-SHA256 방식으로 body를 secret key로 해싱하여 생성한 서명을 넣어야 합니다.
        서버는 X-API-Key와 대응되는 secret key로 서명을 검증합니다.

````